body {
  margin: 0;
}

/*header background*/

#header-bg {
  background-image: url(./images/header-bg.jpg);

  background-size: cover;

  opacity: 0.8;

  background-attachment: fixed;

  height: 70vh;

  position: relative;

  padding-top: 5.2rem;
}

#header-bg::before {
  content: "";

  position: absolute;

  top: 0px;

  right: 0px;

  bottom: 0px;

  left: 0px;

  background-color: rgba(0, 0, 0, 0.5);
}

/* Horizontal Lists*/

.horizontal-list {
  list-style: none;

  padding-left: 0px;

  font-size: 30px;

  margin: 0;
}

.text-center {
  text-align: center;
}

.horizontal-list li {
  display: inline-block;

  margin: 8px;
}

.horizontal-list li a {
  color: white;

  text-decoration: none;

  transition: color 0.5s;

  position: relative;

  font-weight: 500;
}

.nav-menu li a {
  transition: color 0.5s;

  transition: border 2s;
}

.nav-menu li a:hover {
  color: lightgrey;

  border-bottom: 1px solid white;
}

/* Name and Social Icons*/

#name-socials {
  position: relative;

  top: 18vh;
}

#my-name {
  font-size: 4rem;

  color: white;

  font-weight: bold;

  margin: 0;
}

.social-icons li a i {
  border-radius: 50%;

  padding: 10px;
}

.social-icons li a i:hover {
  box-shadow: 0px 0px 6px 4px rgba(230, 196, 196, 0.3);
}

/*all sections generic*/

section {
  width: 100%;

  display: flex;

  flex-direction: column;

  align-items: center;
}

section:nth-child(2n) {
  background-color: #f5f0f0;
}

section:nth-child(2n + 1) {
  background-color: white;
}

.section-heading {
  width: auto;

  font-weight: 400;

  padding: 20px 10px 10px;
}

.section-heading span {
  font-size: 40px;

  color: #2857a4;

  display: inline-block;

  padding-top: 10px;

  margin-right: 0.5rem;
}

/*About Section*/

#about {
  height: auto;

  width: 100%;

  position: relative;
}

#my-image {
  height: 12rem;

  width: 12rem;

  margin: auto;

  margin-top: -17vh;
}

#my-image img {
  height: 100%;

  width: 100%;

  border-radius: 50%;

  border: 3px solid white;

  box-shadow: 1px 1px 10px 2px lightgrey;
}

#about-para {
  padding: 10px;

  width: 70%;

  text-align: justify;

  color: grey;

  line-height: 28px;

  font-size: 1.1rem;

  margin: auto;
}

/*skill section*/

.skills-display {
  width: 70%;

  display: flex;

  flex-wrap: wrap;

  justify-content: center;
}

.skills-progress {
  background-color: lightgrey;

  border-radius: 1.8rem;

  width: 11rem;

  height: 2.4rem;

  margin: 20px;

  overflow: hidden;
}

.skills-progress > div {
  border-radius: 20px 0px 0px 20px;
}

.skill-name {
  color: white;

  font-size: 1.3rem;

  margin-left: 10px;

  padding: 8px;

  width: 100%;
}

/* Common Margin Classes */

.m0 {
  margin: 0;
}

.mb75px {
  margin-bottom: 75px;
}

.mb50px {
  margin-bottom: 50px;
}

/* common color classes*/

.text-highlight {
  color: #2857a4;

  font-weight: 600;
}

.bg-blue {
  background-color: #2857a4;
}

.bg-orange {
  background-color: orange;
}

.bg-violet {
  background-color: rgb(157, 73, 157);
}

.bg-green {
  background-color: green;
}

/* common percentage classes*/

.eighty-five-percent {
  width: 85%;

  height: inherit;
}

.sixty-five-percent {
  width: 65%;

  height: inherit;
}

/* Work Experience */

.timeline {
  position: relative;

  width: 75%;
}

.timeline-box {
  padding: 5px;

  width: 40%;

  min-height: 150px;

  position: relative;

  left: 5%;

  text-align: right;
}

/* 
.timeline-box::after {

  content: "";

  position: absolute;

  width: 15px;

  height: 15px;

  background-color: lightgrey;

  top: 25%;

  border-radius: 50%;

  z-index: 1;

} */

.timeline-box:nth-child(2n) {
  left: 53%;
}

.timeline-box:nth-child(2n + 1)::after {
  right: -11.8%;
}

.timeline-box:nth-child(2n)::after {
  left: -9%;
}

.timeline-container {
  padding: 8px;
}

.timeline-logo {
  position: absolute;

  width: 50px;

  overflow: hidden;
}

.timeline-logo > img {
  width: 100%;
}

#timeline-divider {
  position: absolute;

  width: 0;

  top: 10%;

  left: 50%;

  border: 1px dashed #0096fa6b;

  height: 66%;

  color: #433e3f;
}

.timeline-traveller {
  position: sticky;

  top: 135px;

  z-index: 2;
}

#timeline-divider i {
  transform: rotate(90deg);

  margin-top: -23px;

  display: block;

  color: #2857a4;
}

.experience-designation {
  font-size: 1.4rem;
}

.experience-company-name {
  margin: 5px 0 0;

  color: #eb822d;

  font-weight: 400;

  font-size: 1.2rem;
}

.experience-duration {
  color: #9e9b9b;

  font-weight: 100;

  color: grey;

  font-size: 1rem;
}

.experience-description {
  font-size: 14px;

  padding: 2px;

  color: grey;

  line-height: 20px;
}

/* Common Text Align Classes */

.text-right {
  text-align: right;
}

.text-center {
  text-align: center;
}

.text-justify {
  text-align: justify;
}

/* Portfolio Section */

#portfolio-container {
  box-sizing: border-box;

  display: flex;

  flex-wrap: wrap;

  width: 100%;

  padding: 0 50px;

  margin-bottom: 2%;

  justify-content: space-evenly;
}

.portfolio-image-container {
  max-width: 300px;

  overflow: hidden;

  margin: 10px;

  background-size: cover;

  background-repeat: no-repeat;

  position: relative;
  height: 96%;
}

.portfolio-image-container img {
  width: 100%;

  height: 100%;
}

.portfolio-details {
  transition: all 0.5s ease-in-out;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  color: transparent;
  text-align: center;
  margin: 0 auto;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.portfolio-image-container:hover {
  box-shadow: 0 0 20px #74adc8;
}

.portfolio-image-container:hover .portfolio-details {
  background-color: #010101a6;

  color: white;
}

/* Contact Form */

#contact {
  background-color: #0abcf9;

  background-image: linear-gradient(50deg, #2857a4 0%, #403066 74%);

  color: white;

  padding-bottom: 40px;
}

#contact h1,
#contact h1 span {
  color: white;
}

#contact-form {
  margin-left: 20%;
}

#contact-container {
  display: flex;
  justify-content: center;
}

#my-details-container {
  width: 60%;

  /* margin-left: 6%; */
}

#my-details-container h3 {
  color: white;

  font-weight: 550;

  font-size: 1.2rem;
}

#contact-form-container {
  width: 50%;
}

#my-details-container p {
  color: #d9dcdd;

  font-size: 0.9rem;
}

.my-details-info-container {
  margin-bottom: 20px;

  color: #d9dcdd;
}

.my-details-info-container span {
  margin-left: 0.4rem;

  font-size: 0.95rem;
}

.my-details-info-container i {
  color: white;
}

.my-details-icon {
  width: 1rem;

  height: 1rem;

  vertical-align: bottom;

  margin-right: 0.5rem;
}

#contact-form input,
textarea {
  max-width: 90%;

  margin: 15px;

  padding: 4px 10px;

  border: 0px solid transparent;

  border-bottom: 2px solid white;

  /*#2857a4*/

  color: var(--contact-light-text-color);

  background: transparent;

  width: 90%;

  line-height: 1.6;

  font-size: 1.05rem;
}

#contact-form button[type="submit"] {
  background: transparent;

  /*#1a1a1a;*/

  font-size: 0.95rem;

  border: 2px solid white;

  margin-top: 5%;

  margin-left: 35%;

  border-radius: 2px;

  color: white;

  font-family: sans-serif;

  font-weight: 700;

  letter-spacing: 0.046875em;

  line-height: 1;

  padding: 0.8em 0.8em 0.78em;

  text-transform: uppercase;
}

#contact-form button:hover {
  background: white;

  color: #13386fe0;
}

#contact .social-icons li a i {
  font-size: 1.2rem;

  margin: 40px 10px 10px;

  padding: 10px 14px 20px 10px;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
  outline: none;
}

@media only screen and (max-width: 768px) {
  .timeline-box {
    width: 90%;

    left: 10% !important;
  }

  .timeline-box::after {
    left: -9.3% !important;
  }

  #timeline-divider {
    top: 10%;

    left: 2%;
  }

  #contact-form {
    margin-left: 0%;
  }

  #contact-container {
    flex-wrap: wrap;
  }

  #my-details-container {
    width: 80%;

    margin: 10%;
  }

  #contact-form-container {
    width: 80%;

    margin: 10%;
  }
}
